Set credential revocation status
Roles
Analytics Events
/v2/credentials/web-semantic/{id}/revocation-statusSets the revocation status of the credential that matches the provided ID as true (revoked) or false (unrevoked).
Analytic events
- CREDENTIAL_WEB_SEMANTIC_REVOCATION_SET_STATUS_START
- CREDENTIAL_WEB_SEMANTIC_REVOCATION_SET_STATUS_SUCCESS
- CREDENTIAL_WEB_SEMANTIC_REVOCATION_SET_STATUS_FAIL
Authorization
bearerAuth In: header
Path Parameters
Credential ID
uuidRequest Body
application/json
Setting the revocation status
Indicates whether the credential is revoked (true) or not (false).
Response Body
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/a80a5e7e-1972-4be6-8a4e-2adf09badf24/revocation-status" \ -H "Content-Type: application/json" \ -d '{ "isRevoked": true }'{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete Semantic CWT credential metadata DELETE
Deletes all credential metadata from the tenant for a specific credential by providing its ID. If the credential was set to be revocable, it will be permanently revoked upon metadata deletion. Note that only metadata of revocable credentials or credentials issued via the OpenID4VCI flow is saved. <Callout> Deleted metadata cannot be recovered. </Callout>
Retrieve credential revocation status GET
Returns the revocation status of the credential matching the provided ID. ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_START * CREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_REVOCATION_RETRIEVE_FAIL